Subject: Dual PPro/PII, Linux, etc.

From: "Gustavo A. Mercier Jr" <[email-masked]>
Date: Thu, 6 Nov 1997 13:44:46 -0500 (EST)

Hi!

A while back I asked about PPro/PII dual boxes running Linux for
CC applications. I got several interesting replies that are
very helpful. (See below!)

There are  two vendors that specialize in setting boxes
like these:

www.swt.com
www.varesearch.com

They will set up the system including activating SMP for
parallel applications. Obviously you still need some message
passing system, etc. and compilers. (See comments below.)

The real twist to a dual system is the following:

1) My computer vendor indicated that Intel has an announcement
recommending that PII chips not be used in dual systems due
to some bug in running with dual mode. I did not get messages
from people running dual PII, but dual PPro's only.

Has anybody heard anything about the PIIx2 systems problems? Looks
like for now PProx2 work. VA Research report impressive performance
in PProx2 using the fx chip set and scsii disks. Their prices
are also very reasonable.

(I must thank the people in Advanced Computech, www.advancedcomputech.com,
who warned me about this issue before I bought the board making me
cancel the entire order!)

2) Also, proper cooling is important, particularly if you overclock!
A very useful site is www.sysopt.com where you will find info
on optimizing your box, and even a survey of the experience
web users had in buy from several vendors. (AC received top honors here!)

3) SMP under Linux is still under development. You have to recompile
Linux with the proper changes in the makefile. SWT and VAResearch
will do this for you.

I hope this helps!
Bye!

----- Messages below ------
> I am in the market for a PC-Linux box to use with MD & DFT
> applications, adf, amber, and moldy, primarily.

I am using Turbomole & adf & gaussian94 under Linux. 
I do prefer Turbomole however, mostly, for execution speed
due to its auxiliary base model for the calculation of 
Coulombic terms in its RIDFT (DFT) module. The gradient
module runs also in parallel. 
By the way I have heard that Oxford Molecular's Unichem for
WinNT 4.0 will also be out soon - this will also run in
parallel. 

> I wonder if anybody has any experience trying to run
> in parallel under (a measley) dual PPro/PII system using Linux.

PII's are definitely faster (see below)
Yipp, I just got the new parallelized ridft code for Linux
from Ahlrichs group - I don't quite know whether that is
an official version yet. My platforms include: 

Dual PPro 2x 200 MHz-256 KB cache, 128 MB RAM
Dual PPro 2x 166 MHz-256 KB cache, 256 MB RAM (at home my own machine)
PII 266 MHz-512K cache, 64 MB RAM 30% faster than single PPro 200 MHz
PPro 1x 133 MHz (no typo), 64 MB

The Turbomole program uses MPI and parallel speedup on the dual machine
itself is ca. >= 80%. I have also tried running it on a network (10MB
Ethernet) with 2 machines and have seen a speedup from 3min30 to 2min30
(just one bench I haven't done more so far but might try it over the
next weekend on 4 CPUs i.e. three machines)
 
> I understand that under Linux you may not gain much in execution
> speed. Any other alternatives?

1) not right 2) see above 
 
> Any fortran compiler that would be best for parallel execution
> under Linux, if any?

Portland group Fortran Compiler => best code ever as good
as Intel's specfp95 reference compiler - it exists as f77 and
hpf Fortran (parallel) and also allows for autoparallelization.
Code is fabulous and compiler fast: price great f77: $299 

Turbomole speedup 2x compared to g77 !!! no typo !(pls don't quote that on
the net - since it is still inofficial)

f77 and hpf (High performance Fortran) $499.
check www.pgroup.com for more info. This is also the compiler
used in Sandia National Labs x1000 Intel PPro machine

> I will summarize to the list if there is interest!

Sure is. 

Hope this helps, let me know if you need more info.

By the way LINUX/Turbomole was ca. $700 for academics.

Peter

P.S. By the way - what kind of sofware rns on the Beowulf?
-----------------------------
Dr. Peter Burger
Anorganisch-Chemisches Institut 
Universitaet Zuerich
8057 Zuerich
Switzerland
[email-masked]
------------------------------------------------------------------------

Hi!

You really DO want to talk to Michael Colvin at Sandia..  He'll give you
executables for ab initio....  Tell him what you're interested in...
He'll have the code...NT or LINUX

[email-masked]
510-423-9177

Regards,

John
-- 
************************************
* John McKelvey                    *
* Computational Science Laboratory *
* Imaging Research and Development *
* Building 83                      *
* Research Laboratories            *
* Eastman Kodak Company            *
* Rochester, NY 14650-2216         *
* (V)716-477-3335                  *
* (F)716-722-2327                  *
* (E)[email-masked]            *
************************************
----------------------------------------------------------------------

Hi, 

I'm intersted in seeing what responses you get to your question
about dual Pentiums with Linux.  I have ordered one from SWT 
(www.swt.com).  They install Linux for you and have reasonable 
prices.  Windows NT has support for SMP.  Someone here at Northwestern
runs Gaussian in the background while wordprocessing under NT.
They said it was too painful to do that before they got the dual 
Pentium system.  

Gary Kedziora
----------------------------------------------------------------------

Hi,

I noticed your post to the CCL about a Pentium/LINUX box for
running DFT and MD.  I don't have much to say about the dual
motherboard other than I am very interested in your results.  However,
we at the Ziegler group just got a PPRO 200 at it runs very well.  It
is so far the best price/performance ratio machine for running ADF.
Also, we found out that you get the theoretical performance without
the need of an expensive SCSI drive.

When you set up the machine for ADF, give me a shout.  I just set it
up with Redhat 4.2 linux and there is a bunch of issues that come up
for getting ADF running on this.

Tom
********************************************************************************
* Tom Woo                              voice:(403) 220-7176                    *
* The Ziegler Group                    fax:  (403) 289-9488                    *
* Department of Chemistry              email: [email-masked]      *
* University of Calgary                homepage: http://www.ucalgary.ca/~tkwoo *
* 2500 University Drive, N.W.          room: SB 427                            *
* CALGARY, Alberta, Canada, T2N 1N4                                            *
********************************************************************************
-------------------------------------------------------------------------------

Dear Dr. Mercier,
 
> I wonder if anybody has any experience trying to run
> in parallel under (a measley) dual PPro/PII system using Linux.

I have a 2xPPro and a 1xPentium, so I have some experience.

> My question is limited to systems with
> two chips in a single motherboard using off the shelve LInux, say
> Red Hat 4.2, and public domain software for message passing.

You have to recompile the kernel. The SMP part is still considered to be
experimental. You edit the Makefile in /usr/src/linux. Be aware that some
kernels (2.0.30 if I remember correctly) might be a bit unstable. It is
said that cheap S3 based graphics card is a ploblem, but I haven't
experienced any problems. 

I have compiled and used PVM with no problem. Originally my MD program was
written for a IBM SP computer, but I didn't have to do any porting! MPI
should be working as well; I haven't tried, but I frequently talk with one
who does. 

Best wishes and happy computing
  Kenneth Geisshirt

+-------------------------------------------------------------+
| Kenneth Geisshirt                             Ph.D.-student |
| Dept. of Life Sciences and Chemistry    Roskilde University |
+-------------------------------------------------------------+
|                      Viva la penguin                        |
+-------------------------------------------------------------+

-------------------------------------------------------------------
Gustavo A. Mercier Jr wrote:
> I wonder if anybody has any experience trying to run
> in parallel under (a measley) dual PPro/PII system using Linux.

We have build up a cluster of 16 Dual Pentium Pro machines running under
RedHat 4.2. For more information about the programs we run on this
platform take a look at our web site http://terra.chem.emory.edu.

Hope this helps.
Stefan

+----------------------------------------------------------------------+
Dr. Stefan Dapprich
Philipps-Universitaet Marburg, FB Chemie
Hans-Meerwein-Str.
D-35032 Marburg
Phone  +49-6421-28-5561
Fax    +49-6421-28-2189
Email  [email-masked]
URL    http://euch4m.chem.emory.edu/~dapprich

"to be or nut^H^H -- sh^Gt, how do I delete.^?^? Oh No Oh NO^D^D -- How
do I get out of this thing anyway ^C^C^C Kill it ^Z^Z^Z (mumble mumble)
Bus error (core dumped)
+----------------------------------------------------------------------+

-----------------------------------------------------------------------
Hi Gustavo,

I think an SMP Linux box won't help you unless those programs are
multithreading...

There is a code freeze for kernel 2.2 in the making.  Among other things, 2.2
is supposed to have much better SMP support.

There are commercial (and free) fortran compilers for Linux.  Check out the GNU
project's g77, NAG (http://www.nag.com), and the Portland Group
(http://www.pgroup.com) which has auto-parallelization).

good luck,
Rich

------- End of Messages ----------------
-- 
                                      ("`-/")_.-'"``-._
Gustavo A. Mercier,Jr.,MD,PhD         (. . `) -._    )-;-,_() 
Division of Nuclear Medicine          (v_,)'  _  )`-.\  ``-
Dept. of Radiology                    _;- _,-_/ / ((,'
University of Pennsylvania           ((,.-'  ((,/
3400 Spruce St.                  [email-masked]
Philadelphia, PA 19104         215-662-3069/3091 fax: 215-349-5843